Package com.creditcall.chipdnamobile

# Class Currency

java.lang.Object
com.creditcall.chipdnamobile.Currency

All Implemented Interfaces:
  `android.os.Parcelable`, `Serializable`

public class Currency extends Object implements android.os.Parcelable, Serializable
This class represents a currency and its attributes.

Author:
  Creditcall Ltd
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<Currency>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `boolean`
  `equals(Object o)`
  `String`
  `getCharCode()`
  Gets the character code for the currency.
  `int`
  `getExponent()`
  Gets the exponent value for the currency.
  `String`
  `getSymbol()`
  Gets the symbol for the currency.
  `int`
  `hashCode()`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<Currency> CREATOR

- ## Method Details

  - ### getSymbol

    public String getSymbol()
    Gets the symbol for the currency.
    Returns:
      The currency symbol.

  - ### getCharCode

    public String getCharCode()
    Gets the character code for the currency.
    Returns:
      The currency character code.

  - ### getExponent

    public int getExponent()
    Gets the exponent value for the currency.
    Returns:
      The exponent.

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`